#
%define		rname		libdbus-1-qt3
#
Summary:	Qt-based library for using D-BUS
Summary(pl.UTF-8):	Biblioteka do używania D-BUS oparta o Qt
Name:		dbus-qt3
Version:	0.8.1
Release:	3
# AFL v2.1 or GPL v2+, but Qt license enforces GPL
License:	GPL v2+
Group:		Libraries
Source0:	http://people.freedesktop.org/~krake/dbus-1-qt3/%{rname}-%{version}.tar.bz2
# Source0-md5:	6308f50cfc715919c677fc10129421a0
Patch0:		%{name}-configure.patch
Patch1:		kde-ac260-lt.patch
URL:		http://www.freedesktop.org/Software/DBusBindings
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.6.1
BuildRequires:	dbus-devel >= 0.91
BuildRequires:	qt-devel >= 6:3.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
D-BUS add-on library to integrate the standard D-BUS library with the
Qt thread abstraction and main loop.

%description -l pl.UTF-8
Dodatkowa biblioteka D-BUS do integracji standardowej biblioteki D-BUS
z abstrakcją wątków i główną pętlą Qt.

%package devel
Summary:	Header files for Qt-based library for using D-BUS
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki do używania D-BUS opartej o Qt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel >= 0.91

%description devel
Header files for Qt-based library for using D-BUS.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki do używania D-BUS opartej o Qt.

%package static
Summary:	Static Qt-based library for using D-BUS
Summary(pl.UTF-8):	Statyczna biblioteka do używania D-BUS oparta o Qt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Qt-based library for using D-BUS.

%description static -l pl.UTF-8
Statyczna biblioteka do używania D-BUS oparta o Qt.

%prep
%setup -qn %{rname}-%{version}
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.* admin
%{__make} -f admin/Makefile.common cvs
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libdbus-1-qt3.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libdbus-1-qt3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdbus-1-qt3.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdbus-1-qt3.so
%{_includedir}/dbus-1.0/qt3
%{_pkgconfigdir}/dbus-1-qt3.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libdbus-1-qt3.a
%changelog
* Sun Nov 17 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dbus-qt3.git;a=log;h=master

* Sun Nov 17 2024 Jakub Bogusz <qboosh@pld-linux.org> f562af4
- drop .la file, release 3

* Sun Nov 17 2024 Jakub Bogusz <qboosh@pld-linux.org> b643d81
- updated ac/am to fix build

* Sat Feb 27 2010 sparky <sparky@pld-linux.org> 68bc474
- unify %attr() %ghost order

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 66f72b1
- drop obsolete files

* Mon Nov 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> e17d3e8
- release 2

* Sat Jan 26 2008 arvenil <arvenil@pld-linux.org> 6dd41f6
- no more needed

* Sat Jan 26 2008 arvenil <arvenil@pld-linux.org> db7340c
- up to 0.8.1

* Sat May 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 35e2511
- updated to 0.7
- dropped kde-ac260 patch, added kde-ac260-lt
- added admin patch with a lot of huge missing files to allow rebuild ac/am

* Sat May 26 2007 Jakub Bogusz <qboosh@pld-linux.org> d1818c6
- missing admin files

* Tue May 22 2007 Jakub Bogusz <qboosh@pld-linux.org> 21a8490
- more specific URL
- updated Source0 URL (note: only ver. 0.6 and 0.7 there)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> aca5327
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4d6a985
- converted to UTF-8

* Sat Dec 23 2006 Paweł Sikora <pluto@pld-linux.org> fcc364c
- restored.

* Wed Dec 20 2006 Robert Tomasik <rotom@pld-linux.org> 3b2ead4
- obsolotes

* Sat Sep 09 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> e783193
- fix problems with autoconf 2.60 which creates configure that runs in POSIX mode

* Mon Aug 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 2a94490
- doesn't obsolete old dbus-qt (different API - dbus-qt3 is a backport of qt4 binding)

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> f7bd499
- added kde-ac250 patch, proper kde-specific ac/am rebuild
- added doc
- when linked with GPL Qt License can be only GPL

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> fccad42
- dropped

* Sat Aug 19 2006 Paweł Sikora <pluto@pld-linux.org> 80257dd
- kded media manager crashes, qt-mainloop patch dropped release 2.2.

* Fri Aug 18 2006 Paweł Sikora <pluto@pld-linux.org> ee91f6f
- experimental port of qt-mainloop integrator, release 2.1.

